football

## Class Joueur

- java.lang.Object
- - football.Acteur
  - - football.Joueur

-     public class Joueur
      extends Acteur

  Classe joueur
  Author:
    Adrien Poupa

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Joueur(java.lang.String nom, java.lang.String prenom, int age, double euroMillions)` Constructeur du joueur, si pas de club : Knysa!
    `Joueur(java.lang.String nom, java.lang.String prenom, int age, double euroMillions, java.lang.String club)` Constructeur du joueur

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)` Surcharge de equals
    `java.lang.String` | `getClub()` Retourne le club du joueur
    `Equipe` | `getEquipe()` Retourne l'équipe du joueur
    `double` | `getSalaire()` Salaire du joueur, euroMillions * pourcentage
    `int` | `hashCode()` Surcharge de hashCode
    `java.lang.String` | `toString()` Affichage du joueur

    - ### Methods inherited from class football.Acteur

      `getAge, getNom, getPrenom, setAge`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Joueur

          public Joueur(java.lang.String nom,
                        java.lang.String prenom,
                        int age,
                        double euroMillions,
                        java.lang.String club)

      Constructeur du joueur
      Parameters:
        `nom` - nom du joueur
        `prenom` - prénom du joueur
        `age` - âge du joueur
        `euroMillions` - salaire du joueur
        `club` - club du joueur

    - #### Joueur

          public Joueur(java.lang.String nom,
                        java.lang.String prenom,
                        int age,
                        double euroMillions)

      Constructeur du joueur, si pas de club : Knysa!
      Parameters:
        `nom` - nom du joueur
        `prenom` - prénom du joueur
        `age` - âge du joueur
        `euroMillions` - salaire du joueur

  - ### Method Detail

    - #### getClub

          public java.lang.String getClub()

      Retourne le club du joueur
      Returns:
        nom du club

    - #### getSalaire

          public double getSalaire()

      Salaire du joueur, euroMillions * pourcentage
      Specified by:
        `getSalaire` in class `Acteur`
      Returns:
        Salaire du joueur

    - #### getEquipe

          public Equipe getEquipe()

      Retourne l'équipe du joueur
      Returns:
        objet équipe du joueur

    - #### toString

          public java.lang.String toString()

      Affichage du joueur
      Overrides:
        `toString` in class `Acteur`
      Returns:
        Joueur à afficher

    - #### equals

          public boolean equals(java.lang.Object o)

      Surcharge de equals
      Overrides:
        `equals` in class `Acteur`
      Parameters:
        `o` - objet à comparer
      Returns:
        true/false

    - #### hashCode

          public int hashCode()

      Surcharge de hashCode
      Overrides:
        `hashCode` in class `Acteur`
      Returns:
        hash int unique